import request from '@/utils/request'

// 技术方案库->查询类别列表
export function typeListAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/getTypeList',
        method: 'GET',
        params
    })
}

/* 技术方案库->新增技术方案类别库 */
export function addTypeDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/addTypeData',
        method: 'POST',
        data
    })
}

/* 技术方案库->修改技术方案类别库 */
export function editTypeDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/editTypeData',
        method: 'POST',
        data
    })
}

/* 技术方案库->删除技术方案类别库 */
export function delTypeDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/delTypeData',
        method: 'POST',
        data
    })
}



// 技术方案库->查询列表
export function listAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/getDataList',
        method: 'GET',
        params
    })
}

/* 技术方案库->新增技术方案库 */
export function addDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/addData',
        method: 'POST',
        data
    })
}

/* 技术方案库->修改技术方案库 */
export function editDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/editData',
        method: 'POST',
        data
    })
}

/* 技术方案库->删除技术方案库 */
export function delDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/delData',
        method: 'POST',
        data
    })
}

/* 技术方案库->查询详情 */
export function getDetailDataAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/technical/detailData',
        method: 'GET',
        params
    })
}